import { ClassType } from '@deepkit/core';
import { ClassDecoratorResult, PropertyDecoratorResult, PropertySchema } from '@deepkit/type';
declare class RpcController {
    name: string;
    actions: Map<any, any>;
}
declare class RpcAction {
}
declare class RpcClass {
    t: RpcController;
    controller(name: string): void;
    addAction(name: string, action: RpcAction): void;
}
export declare const rpcClass: ClassDecoratorResult<typeof RpcClass>;
declare class RpcProperty {
    t: RpcAction;
    onDecorator(target: object, property?: string): void;
    action(): void;
}
export declare const rpcProperty: PropertyDecoratorResult<typeof RpcProperty>;
export declare const rpc: typeof rpcClass & typeof rpcProperty;
export declare function getActionParameters<T>(target: ClassType<T>, method: string): PropertySchema[];
export declare function getActions<T>(target: ClassType<T>): Map<string, RpcAction>;
export {};
