"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("jest-extended");
require("reflect-metadata");
const client_1 = require("../src/client");
test('test MessageSubject', () => {
    let closeCalled = false;
    const subject = new client_1.MessageSubject(0);
    subject.subscribe({ error: () => { } }).add(() => {
        closeCalled = true;
    });
    subject.complete();
    expect(closeCalled).toBeTrue();
});
test('test MessageSubject first', async () => {
    let closeCalled = false;
    const subject = new client_1.MessageSubject(0);
    subject.subscribe({ error: () => { } }).add(() => {
        closeCalled = true;
    });
    setTimeout(() => {
        subject.next('peter');
    });
    const res = await subject.firstThenClose();
    expect(res).toBe('peter');
    expect(closeCalled).toBeTrue();
});
//# sourceMappingURL=socket.spec.js.map